Index: mantid/Framework/DataHandling/inc/MantidDataHandling/ReadCSNSNexus.h
===================================================================
--- mantid/Framework/DataHandling/inc/MantidDataHandling/ReadCSNSNexus.h	(revision 2e46d9d45ecc98a83ab800b3e0fbd4d3be95801a)
+++ mantid/Framework/DataHandling/inc/MantidDataHandling/ReadCSNSNexus.h	(revision e25c3670fb42aee29d3e24f4b9a2096843dd2cd4)
@@ -230,10 +230,4 @@
     static std::vector<std::vector<float> > getSampleEnvironmentLog(const std::string &filename, const std::string &SEname);
 
-    /// List Disk Chopper1 Names
-    static std::vector<std::string> getDiskChopper1(const std::string &filename);
-
-    /// List Disk Chopper1 Log
-    static float getDiskChopper1Log(const std::string &filename, const std::string &DCname);
-
     /// List proton charge log
     static std::vector<std::vector<float> > getProtonChargeLog(const std::string &filename);
Index: mantid/Framework/DataHandling/src/ReadCSNSNexus.cpp
===================================================================
--- mantid/Framework/DataHandling/src/ReadCSNSNexus.cpp	(revision 2e46d9d45ecc98a83ab800b3e0fbd4d3be95801a)
+++ mantid/Framework/DataHandling/src/ReadCSNSNexus.cpp	(revision e25c3670fb42aee29d3e24f4b9a2096843dd2cd4)
@@ -931,70 +931,5 @@
 //-------------------------------------------------------------------------------------------------
 /**
-* Return disk_chopper1 list
-* @param[in] filename :: nxs file name
-* @return diskChopper1 :: disk_chopper1 list
-*/
-std::vector<std::string> ReadCSNSNexus::getDiskChopper1(const std::string &filename)
-{
-    std::vector<std::string > diskChopper1;
-
-    auto file = new ::NeXus::File(filename);
-
-    std::string entry_name = "entry";
-    file->openGroup(entry_name, "NXentry");
-    file->openGroup("instrument", "NXinstrument");
-    file->openGroup("disk_chopper1", "NXdisk_chopper");
-
-    std::map<std::string, std::string> entries = file->getEntries();
-    std::map<std::string, std::string>::iterator it;
-    for (it = entries.begin(); it != entries.end(); ++it)
-    {
-        diskChopper1.push_back(it->first);
-    }
-
-    file->closeGroup();
-    file->closeGroup();
-    file->closeGroup();
-
-    return diskChopper1;
-}
-
-
-//-------------------------------------------------------------------------------------------------
-/**
-* Return disk_chopper1 log
-* @param[in] filename :: nxs file name
-* @param[in] DCname :: disk_chopper1 name
-* @return diskChopper1 :: value
-*/
-float ReadCSNSNexus::getDiskChopper1Log(const std::string &filename, const std::string &DCname)
-{
-    float diskChopper1Log;
-
-    auto file = new ::NeXus::File(filename);
-
-    std::string entry_name = "entry";
-    file->openGroup(entry_name, "NXentry");
-    file->openGroup("instrument", "NXinstrument");
-    file->openGroup("disk_chopper1", "NXdisk_chopper");
-    std::map<std::string, std::string> entries = file->getEntries();
-    if (entries.find(DCname) != entries.end())
-    {
-        file->readData(DCname, diskChopper1Log);
-    }
-    else
-    {
-        throw std::runtime_error("No "+DCname+" in the NXS file!");
-    }
-
-    file->closeGroup();
-    file->closeGroup();
-
-    return diskChopper1Log;
-}
-
-//-------------------------------------------------------------------------------------------------
-/**
-* Return Good Frame Log
+* Return Good Frame Log NX/entry/logs/good_frame
 * @param[in] filename :: nxs file name
 * @return goodFrameLog :: [time, value]
@@ -1027,5 +962,5 @@
 //-------------------------------------------------------------------------------------------------
 /**
-* Return chopper list
+* Return chopper list NX/entry/instrument/disk_chopper*
 * @param[in] filename :: nxs file name
 * @return chopperNames :: chopper list
@@ -1060,5 +995,5 @@
 //-------------------------------------------------------------------------------------------------
 /**
-* Return chopper property
+* Return chopper property NX/entry/instrument/disk_chopper0
 * @param[in] filename :: nxs file name
 * @param[in] DCname :: disk_chopper name
@@ -1331,5 +1266,5 @@
 //-------------------------------------------------------------------------------------------------
 /**
-* Return users
+* Return users NX/entry/users
 * @param[in] filename :: nxs file name
 * @return users :: users
@@ -1385,5 +1320,5 @@
 //-------------------------------------------------------------------------------------------------
 /**
-* Return Bank list
+* Return Bank list NX/entry/instrument/bank*
 * @param[in] filename :: nxs file name
 * @return bankNames :: bank list
@@ -1675,15 +1610,4 @@
         }
     }
-
-    cout<<"====================================="<<endl;
-    std::vector<std::string> diskChopper1 = getDiskChopper1(filename);
-    for (auto i = diskChopper1.begin(); i != diskChopper1.end(); ++i)
-    {
-        std::cout<<"The Disk Chopper1 is: " << *i <<endl;
-    }
-
-    cout<<"====================================="<<endl;
-    float diskChopper1Log = getDiskChopper1Log(filename, "distance");
-    cout<<"distance of disk chopper1 is :"<<diskChopper1Log<<endl;
 
     cout<<"====================================="<<endl;
